---
date: 2024-08-14
slug: goreleaser-v2.2
categories:
  - announcements
authors:
  - caarlos0
---

# Announcing GoReleaser v2.2

Another month, another minor release full of improvements!

<!-- more -->

- **new**: `binary_signs` allows to sign binaries before archiving them
- **new**: `signs.if`, `binary_signs.if`, `docker_signs.if` allows to further
  filter artifacts using template expressions (only on [pro][])
- **new**: `list` and `in` template functions
- **new**: `--skip=report-sizes`
- **new**: `--clean` will now remove `./dist` **before** checking if the current
  git state
- **gitlab**: fixed release file URL
- **templates**: fixed `isEnvSet` and `envOrDefault` not working in some cases
- **ko**: clarified an error message, also `cyclonedx` and `go.version-m`
  support was removed from upstream, so we removed it here too
- **deprecated**: `nightly.name_template` -> `nightly.version_template`
- **deprecated**: `snapshot.name_template` -> `snapshot.version_template`

As always, bug fixes, dependency updates, housekeeping, and documentation
updates are included in this release as well.

## Other news

- GoReleaser now has ~13.5k stars and 398 contributors! Thanks, everyone!
- We eventually discuss new features in our Discord server. 
  [Join the conversation][discord]!
- nFPM had new releases as well, 
  [check it out](https://github.com/goreleaser/nfpm/releases).

## Download

You can [install][] or upgrade using your favorite package manager, or see the
full release notes and download the pre-compiled binaries [here][oss-rel] and
[here (for Pro)][pro-rel].

## Helping out

You can help by reporting issues, contributing features, documentation
improvements, and bug fixes.
You can also [sponsor the project](/sponsors), or get a
[GoReleaser Pro licence][pro].

[pro]: /pro
[install]: https://goreleaser.com/install
[pro-rel]: https://github.com/goreleaser/goreleaser-pro/releases/tag/v2.2.0-pro
[oss-rel]: https://github.com/goreleaser/goreleaser/releases/tag/v2.2.0
[discord]: https://goreleaser.com/discord
