---
date: 2024-09-12
slug: goreleaser-v2.3
categories:
  - announcements
authors:
  - caarlos0
---

# Announcing GoReleaser v2.3

Another month, another minor release full of improvements!

<!-- more -->

- **new**: `blobs` gets an `if` field, which allows to further filter artifacts.
  One cool use case is split checksums and then uploading only the checksums of
  the files being uploaded, instead of all of them (only on [pro][])
- **new**: on the same token, checksums will now have an ID if they are being
  split (only on [pro][])
- **new**: `.ArtifactID` template variable (only on [pro][])
- **new**: `builds.skip` and `builds.no_unique_dist_dir` are now templateable
- **new**: `.IsSingleTarget` template variable
- **ko**: KO pipe now runs on snapshots as well
- **github**: fixed a possible `nil` in error handling
- **build**: `--single-target` is now more specific, and will build only the
  exact match
- **build**: some improvements when target is `wasm`
- **brew**: `brews[*].dependencies[*].os` and `brews[*].dependencies[*].version`
  were not being used

As always, bug fixes, dependency updates, housekeeping, and documentation
updates are included in this release as well.

## Other news

- GoReleaser now has ~13.6k stars and 403 contributors! Thanks, everyone!
- We eventually discuss new features in our Discord server. 
  [Join the conversation][discord]!
- nFPM had new releases as well, 
  [check it out](https://github.com/goreleaser/nfpm/releases).

## Download

You can [install][] or upgrade using your favorite package manager, or see the
full release notes and download the pre-compiled binaries [here][oss-rel] and
[here (for Pro)][pro-rel].

## Helping out

You can help by reporting issues, contributing features, documentation
improvements, and bug fixes.
You can also [sponsor the project](/sponsors), or get a
[GoReleaser Pro licence][pro].

[pro]: /pro
[install]: https://goreleaser.com/install
[pro-rel]: https://github.com/goreleaser/goreleaser-pro/releases/tag/v2.3.0-pro
[oss-rel]: https://github.com/goreleaser/goreleaser/releases/tag/v2.3.0
[discord]: https://goreleaser.com/discord
