---
date: 2024-11-02
slug: goreleaser-v2.4
categories:
  - announcements
authors:
  - caarlos0
---

# Announcing GoReleaser v2.4

New release coming in hot!

<!-- more -->

- **new**: create macOS app bundles. Initially they are only usable with `dmgs`,
  more uses might be added in the future. (only on [pro][])
  Example:
  ```yaml title=".goreleaser.yaml"
  app_bundles:
    - bundle: com.goreleaser.goreleaser
      icon: www/docs/static/goreleaser.icns
      if: '{{eq .Arch "all"}}'
  dmg:
    - name: goreleaser
      use: appbundle
  ```
  <figure>
    <img src="https://carlosbecker.com/posts/goreleaser-v2.4/img.jpg"/>
    <figcaption>DMG with GoReleaser Pro's App Bundle.</figcaption>
  </figure>
- **new**: `nfpms` and `dmgs` get an `if` field, which allows to further filter
  artifacts. (only on [pro][])
- **new**: `dmgs` get an `templated_extra_files` field. (only on [pro][])
- **new**: `kos` gets support for setting annotations and user.
- **new**: support for `GO386`, `GOARM64`, `GOMIPS64`, `GORISCV64`, and
  `GOPPC64`, as well as new template variables for each of them.
- **new**: [experimental][] change of default `GOARM` to `7` instead of `6`.
- **new**: we are testing using [Dagger][] to run our test pipeline. Thanks to
  the Dagger team for working on it, especially Kyle, Lev, and Marcos.

As always, bug fixes, dependency updates, housekeeping, and documentation
updates are included in this release as well.

## Other news

- GoReleaser now has ~13.7k stars and 409 contributors! Thanks, everyone!
- We eventually discuss new features in our Discord server. 
  [Join the conversation][discord]!
- nFPM had new releases as well, 
  [check it out](https://github.com/goreleaser/nfpm/releases).

## Download

You can [install][] or upgrade using your favorite package manager, or see the
full release notes and download the pre-compiled binaries [here][oss-rel] and
[here (for Pro)][pro-rel].

## Helping out

You can help by reporting issues, contributing features, documentation
improvements, and bug fixes.
You can also [sponsor the project](/sponsors), or get a
[GoReleaser Pro licence][pro].

[pro]: /pro
[install]: https://goreleaser.com/install
[pro-rel]: https://github.com/goreleaser/goreleaser-pro/releases/tag/v2.4.0-pro
[oss-rel]: https://github.com/goreleaser/goreleaser/releases/tag/v2.4.0
[discord]: https://goreleaser.com/discord
[experimental]: https://goreleaser.com/experiments/
[Dagger]: https://dagger.io
